Debian Bug report logs - #488417
reportbug fails when port 25 blocked

version graph

Package: reportbug; Maintainer for reportbug is Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>; Source for reportbug is src:reportbug.

Reported by: Chris Walker <chrisw@chiark.greenend.org.uk>

Date: Sat, 28 Jun 2008 18:27:01 UTC

Severity: normal

Found in version reportbug/3.41

Fixed in versions reportbug/3.31+etch1, 3.48

Done: "Thijs Kinkhorst" <thijs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>:
Bug#488417; Package reportbug. Full text and rfc822 format available.

Acknowledgement sent to Chris Walker <chrisw@chiark.greenend.org.uk>:
New Bug report received and forwarded. Copy sent to Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Chris Walker <chrisw@chiark.greenend.org.uk>
To: submit@bugs.debian.org
Subject: reportbug fails when port 25 blocked
Date: Sat, 28 Jun 2008 19:23:38 +0100
Package: reportbug
Version: 3.41
Followup-For: Bug #468549


On a machine with no smarthost configured, I selected to use the
debian smtp server. However, outgoing port 25 is blocked, resulting in
reportbug failing with the following error:

Submit this report on reportbug (e to edit) [Y|n|a|c|e|i|l|m|p|q|?]? y
Connecting to bugs.debian.org via SMTP...
SMTP send failure: (111, 'Connection refused')
Wrote bug report to /tmp/reportbug-reportbug-20080628-22940-UXH7BH


Could reportbug default to using port 465 or 587?

I wonder if this is the same bug as #468549.

Chris

-- Package-specific info:
** Environment settings:
INTERFACE="urwid"

** /home/chrisw/.reportbugrc:
reportbug_version "3.41"
mode advanced
ui urwid
realname "Christopher J. Walker"
email "chrisw@chiark.greenend.org.uk"
no-cc
header "X-Debbugs-CC: chrisw@chiark.greenend.org.uk"
smtphost bugs.debian.org

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages reportbug depends on:
ii  apt                           0.7.14+b1  Advanced front-end for dpkg
ii  python                        2.5.2-1    An interactive high-level object-o
ii  python-central                0.6.7      register and build utility for Pyt

reportbug recommends no packages.

-- no debconf information





Information forwarded to debian-bugs-dist@lists.debian.org, Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>:
Bug#488417; Package reportbug. (Thu, 13 Nov 2008 22:42:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Reportbug Maintainers <reportbug-maint@lists.alioth.debian.org>. (Thu, 13 Nov 2008 22:42:26 GMT) Full text and rfc822 format available.

Message #10 received at 488417@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Chris Walker <chrisw@chiark.greenend.org.uk>
Cc: 488417@bugs.debian.org
Subject: Re: reportbug fails when port 25 blocked
Date: Thu, 13 Nov 2008 23:41:08 +0100
[Message part 1 (text/plain, inline)]
Hi Chris!

On Sat, 28 Jun 2008 20:23:38 +0200, Chris Walker wrote:
> On a machine with no smarthost configured, I selected to use the
> debian smtp server. However, outgoing port 25 is blocked, resulting in
> reportbug failing with the following error:
[...]
> Could reportbug default to using port 465 or 587?

While I fully agree to default to port 587 (AFAIK 465 should only be
used with SSL), bugs.d.o should allow submission on port 587 as well.

FWIW, reportbug can already use port 587, at least I could [1]:

=====
luca@debian-gta02:~$ reportbug locales
[...]

"/tmp/reportbug-locales-20081113-1295-Y7SZDs" 59L, 1694C written
Report will be sent to "Debian Bug Tracking System" <submit@bugs.debian.org>
Submit this report on locales (e to edit) [Y|n|a|c|e|i|l|m|p|q|?]? y
Connecting to $MYSMTP:587 via SMTP...

Bug report submitted to: "Debian Bug Tracking System" <submit@bugs.debian.org>
Copies sent to:
  "Luca Capello" <luca@pca.it>
Copies will be sent after processing to:
  "Luca Capello" <luca@pca.it>
  pkg-fso-maint@lists.alioth.debian.org
  smartphones-userland@lists.linuxtogo.org
[...]

luca@debian-gta02:~$
=====

Should we clone this bug and reassign the cloned one to bugs.d.o?

> I wonder if this is the same bug as #468549.

I consider #468549 a complete different bug and FWIW reportbug
maintainers seem to consider #468549 not the responsability of
reportbug [2].

Thx, bye,
Gismo / Luca

Footnotes: 
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=505628
[2] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=34;bug=468549
[Message part 2 (application/pgp-signature, inline)]

Bug marked as fixed in version 3.31+etch1, send any further explanations to Chris Walker <chrisw@chiark.greenend.org.uk> Request was from Thijs Kinkhorst <thijs@debian.org> to control@bugs.debian.org. (Mon, 29 Dec 2008 11:57:03 GMT) Full text and rfc822 format available.

Reply sent to "Thijs Kinkhorst" <thijs@debian.org>:
You have taken responsibility. (Mon, 29 Dec 2008 11:57:05 GMT) Full text and rfc822 format available.

Notification sent to Chris Walker <chrisw@chiark.greenend.org.uk>:
Bug acknowledged by developer. (Mon, 29 Dec 2008 11:57:06 GMT) Full text and rfc822 format available.

Message #17 received at 488417-done@bugs.debian.org (full text, mbox):

From: "Thijs Kinkhorst" <thijs@debian.org>
To: 488417-done@bugs.debian.org
Subject: fixed in 3.48
Date: Mon, 29 Dec 2008 12:54:29 +0100 (CET)
Version: 3.48

Hi,

reportbug 3.48 uses the submission port to connect to
reportbug.debian.org, solving this bug.


Thijs





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Jan 2009 07:27:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:26:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.